lkml.org 
[lkml]   [2019]   [Apr]   [5]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH] objtool: Don't use -Werror
On Fri, Apr 05, 2019 at 11:15:41AM -0500, Josh Poimboeuf wrote:
> I consider that a good thing, because I *want* the build to be broken
> when somebody uses a bad version of libelf. A patch to produce a more
> useful error message (e.g., "bad version of libelf") would be welcome of
> course.

Do that if you must, but please do it properly (i.e. check the libelf
version and error out explicitly with a suitable message, instead of
relying on -Werror), and don't backport the change to stable kernels.

The patch which I referenced in my commit message suddently broke the
build for me between 4.19.32 and .33; I consider that a regression which
ought to be fixed.

Regards,
Luis

\
 
 \ /
  Last update: 2019-04-05 18:30    [W:0.069 / U:2.312 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site